<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: lenta.php
-------------------------------------------
*/
$title = 'Реклама на сайте';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

if(!$user['id'] or $user['level'] < 2) {
header('Location: '.$HOME.'/');
exit();
}

switch($_GET['act'])
{
default:

echo '<div class="title">'.$title.'</div>
<div class="menudiv"><a href="?act=add_rek" class="k_menu"> Добавить рекламную ссылку</div></a> 
<div class="menudiv"><a href="?act=rek_set" class="k_menu"> Управление рекламой</div></a> ';

break;
case 'add_rek':

echo '<div class="title"><a href="'.$HOME.'/panel/rek.php">'.$title.'</a> | Новая рекламная ссылка</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$url = strong($_POST['url']);
$time_srok = strong($_POST['time_srok']);


$times = $time_srok * 86400;
$time_end = time() + $times;

if(empty($name)) {
echo '<div class="podmenu"><center><b>Введите название рекламной ссылки!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($url)) {
echo '<div class="podmenu"><center><b>Введите ссылку!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($time_srok)) {
echo '<div class="podmenu"><center><b>Введите время активности ссылки!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($time_srok)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($name) < 3 or mb_strlen($name) > 30) {
echo '<div class="podmenu"><center><b>Введите название рекламной ссылки от 3 до 30 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$sql = mysql_fetch_array(mysql_query('select * from `ads` where  `name` = "'.$name.'" and `url` = "'.$url.'"'));
if($sql != 0) {
echo '<div class="podmenu"><center><b>Такая рекламная ссылка уже есть!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `ads` SET `name` = '".$name."',`url` = '".$url."',`time_srok` = '".$time_end."',`kogda` = '".time()."'");
echo '<div class="podmenu"><center><b>Рекламная ссылка успешно добавлена!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">
*Название ссылки: <br /> <input type="text" name="name" maxlength="30" /><br />
*Ссылка (url сайта): <br /> <input type="text" name="url" maxlength="25" /><br />
*Время активности (в днях): <br /> <input type="text" name="time_srok" maxlength="3" /><br />
<input type="submit" name="submit" value="Добавить">
</form></div>';

break;
case 'rek_set':

echo '<div class="title"><a href="'.$HOME.'/panel/rek.php">'.$title.'</a> | Управление рекламой</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `ads`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$qwerty = mysql_query("SELECT * FROM `ads` ORDER BY `id` DESC LIMIT $start, $max");

while($sql = mysql_fetch_assoc($qwerty))
{
echo '<div class="podmenu">
<b>Название ссылки:</b> <big>'.$sql['name'].'</big> <br />
<b>Ссылка (url):</b> <big><a href="'.$sql['url'].'">'.$sql['url'].'</a></big> <br/ >
<b>Время добавления:</b> <big>'.vremja($sql['time']).'</big> <br />';
if($sql['time_srok'] > time()) {
echo '<b>Истекает:</b> <big>'.vremja($sql['time_srok']).'</big>';
} else {
echo '<b>Истекло:</b> <big>'.vremja($sql['time_srok']).'</big>';
}
echo '</div>
<div class="links">
Действия: <a href="/panel/rek.php?act=set&id='.$sql['id'].'">Редактировать</a> | <a href="/panel/rek.php?act=del&id='.$sql['id'].'">Удалить</a>
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Пусто!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/panel/rek.php?act=rek_set&',$k_page,$page); // Вывод страниц

break;
case 'set':

$id = abs(intval($_GET['id']));
$rek = mysql_fetch_assoc(mysql_query("SELECT * FROM `ads` WHERE `id` = '".$id."'"));

if($rek == 0) {
header('Location: '.$HOME.'/panel/rek.php?act=rek_set');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/panel/rek.php">'.$title.'</a> | <a href="'.$HOME.'/panel/rek.php?act=rek_set">Управление рекламой</a> | Редактирование рекламного места</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$url = strong($_POST['url']);
$time_srok = strong($_POST['time_srok']);


$times = $time_srok * 86400;
$time_end = time() + $times;

if(empty($name)) {
echo '<div class="podmenu"><center><b>Введите название рекламной ссылки!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($url)) {
echo '<div class="podmenu"><center><b>Введите ссылку!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($name) < 3 or mb_strlen($name) > 30) {
echo '<div class="podmenu"><center><b>Введите название рекламной ссылки от 3 до 30 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$sql = mysql_fetch_array(mysql_query('select * from `ads` where  `name` = "'.$name.'" and `url` = "'.$url.'"'));
if($sql != 0) {
echo '<div class="podmenu"><center><b>Такая рекламная ссылка уже есть!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `ads` SET `name` = '".$name."',`url` = '".$url."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Сохранено!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">
*Название ссылки: <br /> <input type="text" name="name" value="'.$rek['name'].'" maxlength="30" /><br />
*Ссылка (url сайта): <br /> <input type="text" name="url" value="'.$rek['url'].'" maxlength="25" /><br />
<input type="submit" name="submit" value="Добавить">
</form></div>';

break;
case 'del':

$id = abs(intval($_GET['id']));
$rek = mysql_fetch_assoc(mysql_query("SELECT * FROM `ads` WHERE `id` = '".$id."'"));

if($rek == 0) {
header('Location: '.$HOME.'/panel/rek.php?act=rek_set');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/panel/rek.php">'.$title.'</a> | <a href="'.$HOME.'/panel/rek.php?act=rek_set">Управление рекламой</a> | Удаление рекламного места</div>';

if(isset($_REQUEST['del'])) {
mysql_query("DELETE FROM `ads` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/panel/rek.php?act=rek_set');
exit();
}

echo '<div class="podmenu">Вы действительно хотите удалить это рекламное место?
<br />
<a href="'.$HOME.'/panel/rek.php?act=del&id='.$id.'&del">Да</a></div>';

break;
}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>